/**
 * generated by Xtext 2.27.0
 */
package org.eclipse.papyrus.robotics.assertions.languages.stl.stlText;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>num literal</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal#getIlit <em>Ilit</em>}</li>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal#getRlit <em>Rlit</em>}</li>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal#getLit <em>Lit</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getnum_literal()
 * @model
 * @generated
 */
public interface num_literal extends intervalTime
{
  /**
   * Returns the value of the '<em><b>Ilit</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Ilit</em>' attribute.
   * @see #setIlit(String)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getnum_literal_Ilit()
   * @model
   * @generated
   */
  String getIlit();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal#getIlit <em>Ilit</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Ilit</em>' attribute.
   * @see #getIlit()
   * @generated
   */
  void setIlit(String value);

  /**
   * Returns the value of the '<em><b>Rlit</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Rlit</em>' attribute.
   * @see #setRlit(String)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getnum_literal_Rlit()
   * @model
   * @generated
   */
  String getRlit();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal#getRlit <em>Rlit</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Rlit</em>' attribute.
   * @see #getRlit()
   * @generated
   */
  void setRlit(String value);

  /**
   * Returns the value of the '<em><b>Lit</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Lit</em>' containment reference.
   * @see #setLit(num_literal)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getnum_literal_Lit()
   * @model containment="true"
   * @generated
   */
  num_literal getLit();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.num_literal#getLit <em>Lit</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Lit</em>' containment reference.
   * @see #getLit()
   * @generated
   */
  void setLit(num_literal value);

} // num_literal
